Name:           jrosetta
Version:        1.0.4
Release:        14%{?dist}
Summary:        A common base to build a graphical console

Group:          Development/Libraries
License:        GPLv2
URL:            http://dev.artenum.com/projects/JRosetta
Source0:        http://maven.artenum.com/content/groups/public/com/artenum/%{name}/%{version}/%{name}-%{version}-sources.jar
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  maven-local

Requires:       javapackages-tools
Requires:       java

%description
JRosetta provides a common base for graphical component that could be used
to build a graphical console in Swing with the latest requirements, such as
command history, completion and so on for instance for scripting language
or command line.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
# remove jar format related directory
rm -fr ../META-INF
#wrong-file-end-of-line-encoding
cp -p CHANGE.txt CHANGE.txt.CRLF
sed -i -e 's/\r//' CHANGE.txt
touch -r CHANGE.txt.CRLF CHANGE.txt
rm CHANGE.txt.CRLF
# remove deployement dependency
%pom_xpath_remove "pom:build/pom:extensions" pom.xml

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt COPYRIGHT.txt CHANGE.txt

%files javadoc -f .mfiles-javadoc

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 18 2015 Clément David <c.david86@gmail.com> - 1.0.4-11
- Update to the latest xmvn toolset features

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 23 2013 Clément David <c.david86@gmail.com> - 1.0.4-9
- Remove versioned jars

* Mon Feb 25 2013 Clément David <c.david86@gmail.com> - 1.0.4-7
- Fix maven dependencies

* Sat Feb 16 2013 Nicolas Chauvet <kwizart@gmail.com> - 1.0.4-6
- Add BR maven-wagon

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.0.4-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Oct 12 2011 davidcl <c.david86@gmail.com> - 1.0.4-1
- Update version
- Use maven as upstream does

* Fri Jan 16 2009 kwizart < kwizart at gmail.com > - 1.0.2-1
- Fix License (GPLv2 only)
- Fix Summary
- Update to 1.0.2 - previous patch merged upstream

* Mon Oct 27 2008 kwizart < kwizart at gmail.com > - 1.0.1-1
- Initial Package 

